﻿using System.Web.Mvc;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.MvcEdition;

namespace HelloWorld.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            Map map = new Map("Map1",
                new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage),
                new System.Web.UI.WebControls.Unit(100, System.Web.UI.WebControls.UnitType.Percentage));
            map.Width = 800;
            map.Height = 600;
            map.MapUnit = GeographyUnit.DecimalDegree;
            map.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
            map.MapBackground = new BackgroundLayer(new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF")));
            LayerOverlay staticLayer = new LayerOverlay();
            staticLayer.ServerCache = new ServerCache(@"C:\Cache\");
            staticLayer.TileType = TileType.MultipleTile;
            staticLayer.WebImageFormat = WebImageFormat.Png;
            staticLayer.TransitionEffect = TransitionEffect.Stretching;
            ShapeFileFeatureLayer layer = new ShapeFileFeatureLayer(@"C:\data\Countries02.shp");
            layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.County1;
            layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
            staticLayer.Layers.Add(layer);
            map.CustomOverlays.Add(staticLayer);
            return View(map);
        }
    }
}
